Skip to content

Get eviction check

Request

Retrieve a previously created eviction check by its ID.

Security
get-bearer-token-using-oauth2
Path
eviction_check_idstring, (uuid)(uuid)required

The UUID identifying the eviction check.

Example:2b8313e8-4efd-45a1-b578-952b8313e890
Query
include[]Array of strings

Embed the profile in the response in place of profile_id.

Items ValueDescription
profile

Embeds the full profile object in place of profile_id.

Examples:
Single value
include[]=["profile"]
curl -i -X GET \
  'https://api.checkrtrust.com/v1/regulated/eviction_checks/2b8313e8-4efd-45a1-b578-952b8313e890?include%5B%5D=profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
One of:

An eviction check and its results.

idstring, (uuid)(uuid)

A universally unique identifier (UUID) in standard format.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
created_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
completed_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
reference_idstring(reference_id)^[a-zA-Z0-9_-]{1,64}$

A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens.

Example:"ref-123"
resultsArray of objects(eviction_result)

Array of matched candidate records. Each item represents one person matched against the search inputs. When no eviction records are found, this will be an empty array.

run_notesArray of strings

An unstructured array of human-readable notes about this particular check. May contain notes about how input was parsed or other information about results. Not intended to be parsed by computer, as these notes are not guaranteed to be in any given format.

Example:
[ "changed last_name from 'Smith Jr' to 'Smith'" ]
profile_idstring, (uuid)(profile_id)

Identifier of an existing profile containing search criteria.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
Response
{ "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890" }